Live {{up_se_name}} {{up_se_type}} SERP


Live {{up_se_name}} {{up_se_type}} SERP provides real-time data on top 100 images results for the specified keyword, search engine, and location.

checked POST
Pricing

Your account will be charged for each request.
The cost can be calculated on the Pricing page.

All POST data should be sent in the JSON format (UTF-8 encoding). The task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute, each Live SERP API call can contain only one task.

Below you will find a detailed description of the parameters that are required or recommended for setting a task.

Main Parameters

Field nameTypeDescription
keywordstring

keyword

required field

you can specify up to 700 characters in the keyword field

all %## will be decoded (plus character '+' will be decoded to a space character)

if you need to use the "%" character for your keyword, please specify it as "%25";

if you need to use the “+” character for your keyword, please specify it as “%2B”;

if this field contains such parameters as 'allinanchor:', 'allintext:', 'allintitle:', 'allinurl:', 'define:', 'filetype:', 'id:', 'inanchor:', 'info:', 'intext:', 'intitle:', 'inurl:', 'link:', 'related:', 'site:', the charge per task will be multiplied by 5

Note: queries containing the ‘cache:’ parameter are not supported and will return a validation error


learn more about rules and limitations of keyword and keywords fields in DataForSEO APIs in this Help Center article

location_codeinteger

search engine location code

required field if you don't specify location_name or location_coordinate

if you use this field, you don't need to specify location_name or location_coordinate

you can receive the list of available locations of the search engines with their location_code by making a separate request to the https://api.dataforseo.com/v3/serp/google/locations

example:

2840

language_codestring

search engine language code

required field if you don't specify language_name

if you use this field, you don't need to specify language_name

you can receive the list of available languages of the search engine with their language_code by making a separate request to the https://api.dataforseo.com/v3/serp/google/languages

example:

en

depthinteger

parsing depth

optional field

number of results in SERP

default value: 100

max value: 200


Your account will be billed per each SERP containing up to 100 results;

Setting depth above 100 may result in additional charges if the search engine returns more than 100 results;

If the specified depth is higher than the number of results in the response, the difference will be refunded to your account balance automatically;

The cost can be calculated on the Pricing page.


Below you will find a drop-down list with the additional parameters you can use for setting a task.
Additional Parameters
Field nameTypeDescription
location_namestring

full name of search engine location

required field if you don't specify location_code or location_coordinate

if you use this field, you don't need to specify location_code or location_coordinate

you can receive the list of available locations of the search engine with their location_name by making a separate request to the https://api.dataforseo.com/v3/serp/google/locations

example:

London,England,United Kingdom

language_namestring

full name of search engine language

required field if you don't specify language_code

if you use this field, you don't need to specify language_code

you can receive the list of available languages of the search engine with their language_name by making a separate request to the https://api.dataforseo.com/v3/serp/google/languages

example:

English

osstring

device operating system

optional field

note that this API provides results for desktop only

choose from the following values: windows, macos

default value: windows

tagstring

user-defined task identifier

optional field

the character limit is 255

you can use this parameter to identify the task and match it with the result

you will find the specified tag value in the data object of the response

max_crawl_pagesinteger

page crawl limit

optional field

number of search results pages to crawl

max value: 100

Note: the max_crawl_pages and depth parameters complement each other;

learn more at our help center

search_paramstring

additional parameters of the search query

optional field

Get the list of available parameters and additional details here.

urlstring

direct URL of the search query

optional field

you can specify a direct URL and we will sort it out to the necessary fields. Note that this method is the most difficult for our API to process and also requires you to specify the exact language and location in the URL. In most cases, we wouldn’t recommend using this method.

example:

https://www.google.co.uk/search?q=%20rank%20tracker%20api&hl=en&gl=GB&uule=w+CAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS

location_coordinatestring

GPS coordinates of a location

required field if you don't specify location_name or location_code

if you use this field, you don't need to specify location_name or location_code

location_coordinate parameter should be specified in the "latitude,longitude,radius" format

the maximum number of decimal digits for "latitude" and "longitude": 7

the minimum value for "radius": 199.9 (mm)

the maximum value for "radius": 199999 (mm)

example:

53.476225,-2.243572,200

se_domainstring

search engine domain

optional field

We choose the relevant search engine domain automatically according to the location and language you specify. However, you can set a custom search engine domain in this field

example:

google.co.uk, google.com.au, google.de, etc.


‌‌
‌‌As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

Description of the fields in the results array:

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array returned with an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the same parameters that you specified in the POST request

    resultarray

array of results

        keywordstring

keyword received in a POST array
the keyword is returned with decoded %## (plus character '+' will be decoded to a space character)

        typestring

search engine type in a POST array

        se_domainstring

search engine domain in a POST array

        location_codeinteger

location code in a POST array

        language_codestring

language code in a POST array

        check_urlstring

direct URL to search engine results
you can use it to make sure that we provided accurate results

        datetimestring

date and time when the result was received
in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”
example:
2019-11-15 12:57:46 +00:00

        spellobject

autocorrection of the search engine
if the search engine provided results for a keyword that was corrected, we will specify the keyword corrected by the search engine and the type of autocorrection

            keywordstring

keyword obtained as a result of search engine autocorrection
the results will be provided for the corrected keyword

            typestring

type of autocorrection
possible values:
did_you_mean, showing_results_for, no_results_found_for, including_results_for

        refinement_chipsobject

search refinement chips

            typestring

type of element='refinement_chips'

            xpathstring

the XPath of the element

            itemsarray

items of the element

                typestring

type of element='refinement_chips_element'

                titlestring

title of the element

                urlstring

search URL with refinement parameters

                domainstring

domain in SERP

                optionsarray

further search refinement options

                    typestring

type of element='refinement_chips_option'

                    titlestring

title of the element

                    urlstring

search URL with refinement parameters

                    domainstring

domain in SERP

        item_typesarray

types of search results in SERP
contains types of search results (items) found in SERP.
possible item types:
carousel, images_search, related_searches

        se_results_countinteger

total number of results in SERP

        items_countinteger

the number of results returned in the items array

        itemsarray

elements of search results found in SERP

        carouselobject
            typestring

type of element='carousel'
carousel of keywords and images related to the specified search term

            rank_groupinteger

group rank in SERP
position within a group of elements with identical type values
positions of elements with different type values are omitted from rank_group

            rank_absoluteinteger

absolute rank in SERP for the target domain
absolute position among all the elements in SERP

            positionstring

the alignment of the element in SERP
can take the following values:
left, right

            xpathstring

the XPath of the element

            titlestring

title of the result in SERP

            itemsarray

contains keywords and images related to the specified search term

                typestring

type of element='carousel_element'

                titlestring

title of the element
indicates keyword that may be used with the specified term to refine image search

                subtitlestring

subtitle of the element in SERP

                image_urlstring

URL to the compressed featured image
the URL leading to the image on DataForSEO storage

            rectangleobject

rectangle parameters
contains cartesian coordinates and pixel dimensions of the result’s snippet in SERP
note: calculate_rectangles parameter is not yet available when setting tasks for this search engine type, that’s why rectangle always equals null

        google_imagesobject
            typestring

type of element='images_search'

            rank_groupinteger

group rank in SERP
position within a group of elements with identical type values
positions of elements with different type values are omitted from rank_group

            rank_absoluteinteger

absolute rank in SERP for the target domain
absolute position among all the elements in SERP

            xpathstring

the XPath of the element

            titlestring

title of the result in SERP

            subtitlestring

subtitle of the result in SERP

            altstring

the alt tag of the image

            urlstring

the URL of the page where the image is hosted

            source_urlstring

the URL of the source image

            encoded_urlstring

the URL of the cached version of the image stored on Google's servers

        related_searchesobject
            typestring

type of element='related_searches'

            rank_groupinteger

group rank in SERP
position within a group of elements with identical type values
positions of elements with different type values are omitted from rank_group

            rank_absoluteinteger

absolute rank in SERP
absolute position among all the elements in SERP

            positionstring

the alignment of the element in SERP
can take the following values:
left, right

            xpathstring

the XPath of the element

            itemsarray

additional items present in the element
if there are none, equals null

            rectangleobject

rectangle parameters
contains cartesian coordinates and pixel dimensions of the result’s snippet in SERP
note: calculate_rectangles parameter is not yet available when setting tasks for this search engine type, that’s why rectangle always equals null


‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/serp/{{low_se_name}}/{{low_se_type}}/live/advanced" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw '[
    {
        "language_code": "en",
        "location_code": 2840,
        "keyword": "albert einstein"
    }
]'
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
	// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
	$client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
	exit();
}
$post_array = array();
// You can set only one task at a time
$post_array[] = array(
	"language_code" => "en",
	"location_code" => 2840,
	"keyword" => mb_convert_encoding("albert einstein", "UTF-8")
);
try {
	// POST /v3/serp/{{low_se_name}}/{{low_se_type}}/live/advanced
	// in addition to '{{low_se_name}}' and '{{low_se_type}}' you can also set other search engine and type parameters
	// the full list of possible parameters is available in documentation
	$result = $client->post('/v3/serp/{{low_se_name}}/{{low_se_type}}/live/advanced', $post_array);
	print_r($result);
	// do something with post result
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
}
$client = null;
?>
const axios = require('axios');

axios({
    method: 'post',
    url: 'https://api.dataforseo.com/v3/serp/{{low_se_name}}/{{low_se_type}}/live/advanced',
    auth: {
        username: 'login',
        password: 'password'
    },
    data: [{
        "keyword": encodeURI("albert einstein"),
        "language_code": "en",
        "location_code": 2840
    }],
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
post_data = dict()
# You can set only one task at a time
post_data[len(post_data)] = dict(
    language_code="en",
    location_code=2840,
    keyword="albert einstein"
)
# POST POST /v3/serp/{{low_se_name}}/{{low_se_type}}/live/advanced
# in addition to '{{low_se_name}}' and '{{low_se_type}}' you can also set other search engine and type parameters
# the full list of possible parameters is available in documentation
response = client.post("/v3/serp/{{low_se_name}}/{{low_se_type}}/live/advanced", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task serp_live_advanced()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                //DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            var postData = new List<object>();
            // You can set only one task at a time
            postData.Add(new
            {
                language_code = "en",
                location_code = 2840,
                keyword = "albert einstein"
            });
            // POST /v3/serp/{{low_se_name}}/{{low_se_type}}/live/advanced
            // in addition to '{{low_se_name}}' and '{{low_se_type}}' you can also set other search engine and type parameters
            // the full list of possible parameters is available in documentation
            var taskPostResponse = await httpClient.PostAsync("/v3/serp/{{low_se_name}}/{{low_se_type}}/live/advanced", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject<dynamic>(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
  "version": "0.1.20220627",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "34.4921 sec.",
  "cost": 0.002,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "07111443-1535-0139-0000-c2e548119c99",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "34.0780 sec.",
      "cost": 0.002,
      "result_count": 1,
      "path": [
        "v3",
        "serp",
        "google",
        "images",
        "live",
        "advanced"
      ],
      "data": {
        "api": "serp",
        "function": "live",
        "se": "google",
        "se_type": "images",
        "language_code": "en",
        "location_code": 2840,
        "keyword": "iphone wallpaper",
        "device": "desktop",
        "os": "windows"
      },
      "result": [
        {
          "keyword": "iphone wallpaper",
          "type": "images",
          "se_domain": "google.com",
          "location_code": 2840,
          "language_code": "en",
          "check_url": "https://www.google.com/search?q=iphone%20wallpaper&tbm=isch&&num=100&hl=en&gl=US&gws_rd=cr&ie=UTF-8&oe=UTF-8&uule=w+CAIQIFISCQs2MuSEtepUEUK33kOSuTsc",
          "datetime": "2022-07-11 11:44:12 +00:00",
          "spell": null,
          "refinement_chips": null,
          "item_types": [
            "carousel",
            "images_search",
            "related_searches"
          ],
          "se_results_count": 0,
          "items_count": 101,
          "items": [
            {
              "type": "carousel",
              "rank_group": 1,
              "rank_absolute": 1,
              "position": "left",
              "xpath": "/html[1]/body[1]/div[2]/c-wiz[1]/div[2]/div[2]/c-wiz[2]/scrolling-carousel[1]/div[1]",
              "title": null,
              "items": [
                {
                  "type": "carousel_element",
                  "title": "aesthetic",
                  "subtitle": null,
                  "image_url": "https://api.dataforseo.com/cdn/i/07111443-1535-0139-0000-c2e548119c99:0"
                },
                {
                  "type": "carousel_element",
                  "title": "lock screen",
                  "subtitle": null,
                  "image_url": "https://api.dataforseo.com/cdn/i/07111443-1535-0139-0000-c2e548119c99:1"
                },
                {
                  "type": "carousel_element",
                  "title": "flower",
                  "subtitle": null,
                  "image_url": "https://api.dataforseo.com/cdn/i/07111443-1535-0139-0000-c2e548119c99:2"
                }
              ],
              "rectangle": null
            },
            {
              "type": "images_search",
              "rank_group": 1,
              "rank_absolute": 2,
              "xpath": "/html[1]/body[1]/div[2]/c-wiz[1]/div[3]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/span[1]/div[2]/div[1]",
              "title": "50,000+ Best iPhone Wallpaper Photos ...",
              "subtitle": "pexels.com",
              "alt": "50,000+ Best iPhone Wallpaper Photos · 100% Free Download · Pexels Stock  Photos",
              "url": "https://www.pexels.com/search/iphone%20wallpaper/",
              "source_url": "https://images.pexels.com/photos/2486168/pexels-photo-2486168.jpeg?cs=srgb&dl=pexels-roberto-nickson-2486168.jpg&fm=jpg",
              "encoded_url": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQX_myk5jX77-Ljy3cvcOWEVAcS_QuVL3DTXKYUmpz8hYCnzWj7j6tbd8almtUsQSxSXe0&usqp=CAU"
            },
            {
              "type": "images_search",
              "rank_group": 2,
              "rank_absolute": 3,
              "xpath": "/html[1]/body[1]/div[2]/c-wiz[1]/div[3]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/span[1]/div[2]/div[2]",
              "title": "75 IPhone Wallpaper Cool Backgrounds ...",
              "subtitle": "artisthue.com",
              "alt": "75 IPhone Wallpaper Cool Backgrounds For You To Save | Artist Hue",
              "url": "https://artisthue.com/75-cool-iphone-wallpapers-backgrounds-for-you-to-save/",
              "source_url": "https://i0.wp.com/artisthue.com/wp-content/uploads/2020/12/Aesthetic-Full-Moon-Wallpaper.jpg?resize=576%2C1024&ssl=1",
              "encoded_url": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcRv9rxrX1GwaadHzrRf3v23ZKZ2dKHBuS64y-hqojob0NQ8m0WU2Zuvgv4DnNZWkjaEh6w&usqp=CAU"
            },
            {
              "type": "images_search",
              "rank_group": 3,
              "rank_absolute": 4,
              "xpath": "/html[1]/body[1]/div[2]/c-wiz[1]/div[3]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/span[1]/div[2]/div[3]",
              "title": "M1 MacBook Pro inspired iPhone wallpapers",
              "subtitle": "idownloadblog.com",
              "alt": "M1 MacBook Pro inspired iPhone wallpapers",
              "url": "https://www.idownloadblog.com/2022/01/30/m1-macbook-pro-inspired-iphone-wallpapers/",
              "source_url": "https://media.idownloadblog.com/wp-content/uploads/2022/01/M1-MacBook-Pro-inspired-wave-wallpaper-for-iPhone-V1.png",
              "encoded_url": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcTgnzannbhGH-EpEluA0ZTu3sIeiH4bPm_uSk2MwFIfdSflCQGagoRr9YY7iwK5exBtvyA&usqp=CAU"
            },
            {
              "type": "images_search",
              "rank_group": 4,
              "rank_absolute": 5,
              "xpath": "/html[1]/body[1]/div[2]/c-wiz[1]/div[3]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/span[1]/div[2]/div[4]",
              "title": "Download iPhone XS marketing wallpaper ...",
              "subtitle": "idownloadblog.com",
              "alt": "Download iPhone XS marketing wallpaper for any iPhone",
              "url": "https://www.idownloadblog.com/2018/08/31/download-iphone-xs-marketing-wallpaper/",
              "source_url": "https://media.idownloadblog.com/wp-content/uploads/2018/08/iPhone-XS-marketing-wallpaper.jpg",
              "encoded_url": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcTSSCpXzSnHmC0CPR3Y_AW0NFz5SB0h4ln2OYef3LN4hg0ChK3THh8XqW3cm0K49SWCVC8&usqp=CAU"
            },
            {
              "type": "images_search",
              "rank_group": 5,
              "rank_absolute": 6,
              "xpath": "/html[1]/body[1]/div[2]/c-wiz[1]/div[3]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/span[1]/div[2]/div[5]",
              "title": "900+ iPhone Background Images: Download ...",
              "subtitle": "unsplash.com",
              "alt": "900+ iPhone Background Images: Download HD Backgrounds on Unsplash",
              "url": "https://unsplash.com/backgrounds/phone/iphone",
              "source_url": "https://images.unsplash.com/photo-1564698010692-0fe284aae806?ixlib=rb-1.2.1&ixid=MnwxMjA3fDB8MHxleHBsb3JlLWZlZWR8MXx8fGVufDB8fHx8&w=1000&q=80",
              "encoded_url": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcS4f8aQRVq_Dnp2WkSPXZUTZC0Y4DKlz-CIylwnBxXhmQS45O13Y2akhGzEuMMdvfzS1m8&usqp=CAU"
            },
            {
              "type": "images_search",
              "rank_group": 6,
              "rank_absolute": 7,
              "xpath": "/html[1]/body[1]/div[2]/c-wiz[1]/div[3]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/span[1]/div[2]/div[6]",
              "title": "iPhone 11 Wallpaper | Modern sanat ...",
              "subtitle": "pinterest.com",
              "alt": "iPhone 11 Wallpaper | Modern sanat, Sanat, Apple logosu | Black wallpaper  iphone dark, Iphone wallpaper green, Black wallpaper iphone",
              "url": "https://www.pinterest.com/pin/iphone-11-wallpaper--1060808887198988766/",
              "source_url": "https://i.pinimg.com/736x/48/5f/1f/485f1fd43507547a23d230e7ffc85949.jpg",
              "encoded_url": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcTR9hnrby_sbZs0BR_U0RslIQlSpRyHxFqyYpbmO49G-icnbwzKL0wXO1dgaWQZkOJGQ7c&usqp=CAU"
            },
            {
              "type": "images_search",
              "rank_group": 7,
              "rank_absolute": 8,
              "xpath": "/html[1]/body[1]/div[2]/c-wiz[1]/div[3]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/span[1]/div[2]/div[7]",
              "title": "Iphone Wallpaper | Free Aesthetic HD ...",
              "subtitle": "rawpixel.com",
              "alt": "Iphone Wallpaper | Free Aesthetic HD & 4K Mobile Phone Images - rawpixel",
              "url": "https://www.rawpixel.com/search/iphone%20wallpaper",
              "source_url": "https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/rm140-mynt-09_1.jpg?w=800&dpr=1&fit=default&crop=default&q=65&vib=3&con=3&usm=15&bg=F4F4F3&ixlib=js-2.2.1&s=c162b634b23b23d52e06fc367e130d91",
              "encoded_url": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcSc8NrDCgcJMyCgJ7XbteQJu36wTfgYQ-hyRdw0fvw6ldRe49Z_ptkNwTILeRzqdtcp0h8&usqp=CAU"
            },
            {
              "type": "images_search",
              "rank_group": 8,
              "rank_absolute": 9,
              "xpath": "/html[1]/body[1]/div[2]/c-wiz[1]/div[3]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/span[1]/div[2]/div[8]",
              "title": "Beach Sand iPhone Wallpapers - Top Free ...",
              "subtitle": "wallpaperaccess.com",
              "alt": "Beach Sand iPhone Wallpapers - Top Free Beach Sand iPhone Backgrounds -  WallpaperAccess",
              "url": "https://wallpaperaccess.com/beach-sand-iphone",
              "source_url": "https://wallpaperaccess.com/full/1677866.jpg",
              "encoded_url": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcRQZV8sYKBN_-PEU80xgzRkHBuljs3iTQDZTJ4GkwB2JAHqOAmgqDB3r47TaEkxG8XcjwM&usqp=CAU"
            },
            {
              "type": "images_search",
              "rank_group": 9,
              "rank_absolute": 10,
              "xpath": "/html[1]/body[1]/div[2]/c-wiz[1]/div[3]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/span[1]/div[2]/div[9]",
              "title": "Iphone Wallpaper Hd Deals, 51% OFF ...",
              "subtitle": "ingeniovirtual.com",
              "alt": "Iphone Wallpaper Hd Deals, 51% OFF | www.ingeniovirtual.com",
              "url": "https://www.ingeniovirtual.com/descubrezapatillas/tags/2015?p=5.5.1970569.5.28.35.iphone+wallpaper+hd",
              "source_url": "https://www.gizmochina.com/2020/10/23/download-iphone-12-12-pro-official-wallpapers-full-resolution/iphone-12-pro-wallapper-medium/",
              "encoded_url": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcR_Vqg8brlVNXj4k0Lzf-3XdPM1sq0_M5ECBbYqlIqqQ2qc9QwpbDECUX5flPO5TmL7Yig&usqp=CAU"
            },
            {
              "type": "related_searches",
              "rank_group": 1,
              "rank_absolute": 25,
              "position": "left",
              "xpath": "/html[1]/body[1]/div[2]/c-wiz[1]/div[3]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/span[1]/div[2]/div[25]",
              "items": [
                "lock screen iphone wallpaper",
                "pinterest iphone wallpaper",
                "aesthetic iphone wallpaper"
              ],
              "rectangle": null
            }
          ]
        }
      ]
    }
  ]
}